Class | Sequel::JDBC::MySQL::Dataset
In: | lib/sequel/adapters/jdbc/mysql.rb
Parent: | JDBC::Dataset

Dataset class for MySQL datasets accessed via JDBC.

### Methods

provides_accurate_rows_matched? replace

### Included Modules

Sequel::MySQL::DatasetMethods

### Public Instance methods

provides_accurate_rows_matched?()

MySQL on JDBC does provides an accurate number of rows matched.

[Source]

        # File lib/sequel/adapters/jdbc/mysql.rb, line 76
    76:         def provides_accurate_rows_matched?
    77:           true
    78:         end

replace(*args)

Use execute_insert to execute the replace_sql.

[Source]

        # File lib/sequel/adapters/jdbc/mysql.rb, line 71
    71:         def replace(*args)
    72:           execute_insert(replace_sql(*args))
    73:         end

[Validate]